SkyWay Speech to Text API (1.0.0)

Download OpenAPI specification:Download

createSession

[japanese] sessionを作成し、文字起こしを開始する

Authorizations:
Bearer
path Parameters
roomId
required
string
Request Body schema: application/json
Any of
mode
required
string
Value: "TRANSCRIPTION"
locales
Array of strings <= 20 items
Items Enum: "af-ZA" "am-ET" "ar-AE" "ar-BH" "ar-DZ" "ar-EG" "ar-IL" "ar-IQ" "ar-JO" "ar-KW" "ar-LB" "ar-LY" "ar-MA" "ar-OM" "ar-PS" "ar-QA" "ar-SA" "ar-SY" "ar-TN" "ar-YE" "as-IN" "az-AZ" "bg-BG" "bho-IN" "bn-IN" "bs-BA" "ca-ES" "cs-CZ" "cy-GB" "da-DK" "de-AT" "de-CH" "de-DE" "el-GR" "en-AU" "en-CA" "en-GB" "en-GH" "en-HK" "en-IE" "en-IN" "en-KE" "en-NG" "en-NZ" "en-PH" "en-SG" "en-TZ" "en-US" "en-ZA" "es-AR" "es-BO" "es-CL" "es-CO" "es-CR" "es-CU" "es-DO" "es-EC" "es-ES" "es-GQ" "es-GT" "es-HN" "es-MX" "es-NI" "es-PA" "es-PE" "es-PR" "es-PY" "es-SV" "es-US" "es-UY" "es-VE" "et-EE" "eu-ES" "fa-IR" "fi-FI" "fil-PH" "fr-BE" "fr-CA" "fr-CH" "fr-FR" "ga-IE" "gl-ES" "gu-IN" "he-IL" "hi-IN" "hr-HR" "hu-HU" "hy-AM" "id-ID" "is-IS" "it-CH" "it-IT" "ja-JP" "jv-ID" "ka-GE" "kk-KZ" "km-KH" "kn-IN" "ko-KR" "lo-LA" "lt-LT" "lv-LV" "mk-MK" "ml-IN" "mn-MN" "mr-IN" "ms-MY" "mt-MT" "my-MM" "nb-NO" "ne-NP" "nl-BE" "nl-NL" "or-IN" "pa-IN" "pl-PL" "ps-AF" "pt-BR" "pt-PT" "ro-RO" "ru-RU" "si-LK" "sk-SK" "sl-SI" "so-SO" "sq-AL" "sr-RS" "sv-SE" "sw-KE" "ta-IN" "te-IN" "th-TH" "tr-TR" "uk-UA" "ur-IN" "uz-UZ" "vi-VN" "wuu-CN" "yue-CN" "zh-CN" "zh-CN-sichuan" "zh-HK" "zh-TW" "zu-ZA"
object

Responses

Request samples

Content type
application/json
{
  • "mode": "TRANSLATION",
  • "locales": [
    ],
  • "archive": {
    }
}

Response samples

Content type
application/json
{
  • "id": "string"
}

deleteSession

sessionを削除し、そのsessionによって実行されているすべての文字起こしを終了する

Authorizations:
Bearer
path Parameters
roomId
required
string
sessionId
required
string

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 400,
  • "detail": "string",
  • "instance": "string"
}

getSession

Sessionの状態を取得する

Authorizations:
Bearer
path Parameters
roomId
required
string
sessionId
required
string

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "errors": [
    ]
}